Name: jakarta-commons-lang
Version: 2.0
Release: alt0.M24.1

Summary: Jakarta Commons Lang Package
License: Apache Software License
Group: Development/Java
Packager: Vladimir Lettiev <crux@altlinux.ru>

Url: http://jakarta.apache.org/commons/lang/
Source0: http://www.apache.org/dist/jakarta/commons/lang/source/commons-lang-%{version}-src.tar.gz
Source1: jakarta-commons-lang-build.properties 
Patch1: jakarta-commons-lang-build.xml.patch

BuildPreReq: /proc
BuildPreReq: rpm-build-java
BuildPreReq: j2se1.4-sun-devel ant ant-junit junit

BuildArch: noarch

Requires: java-common >= 1.2 j2se >= 1.4.2

%description
The standard Java libraries fail to provide enough methods for
manipulation of its core classes. The Commons Lang Component provides
these extra methods.
The Commons Lang Component provides a host of helper utilities for the
java.lang API, notably String manipulation methods, basic numerical
methods, object reflection, creation and serialization, and System
properties. Additionally it contains an inheritable enum type, an
exception structure that supports multiple types of nested-Exceptions
and a series of utlities dedicated to help with building methods, such
as hashCode, toString and equals.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadoc for %name

%prep
%setup -qn commons-lang-%version-src
%patch1
%__cp %SOURCE1 build.properties

%build
%__ant dist test

%install
%__mkdir_p %buildroot%_javadir
%__mkdir_p %buildroot%_javadocdir
%__mkdir_p %buildroot%_docdir/%name-%version

%__mv dist/commons-lang.jar %buildroot%_javadir/%name.jar
%__mv dist/*.txt %buildroot%_docdir/%name-%version
%__mv *.html %buildroot%_docdir/%name-%version
%__mv dist/docs/api %buildroot%_javadocdir/%name

%files
%_javadir/*.jar
%_docdir/%name-%version

%files javadoc
%_javadocdir/%name

%changelog
* Thu Apr 21 2005 Alexey Borovskoy <alb@altlinux.ru> 2.0-alt0.M24.1
- Backport to Master 2.4
- Fallback to stable version
- Sync with my local repo

* Wed Mar 30 2005 Vladimir Lettiev <crux@altlinux.ru> 2.1-alt0.1
- Initial build for ALT Linux Sisyphus

